//
//  ViewController.swift
//  Nifty-IAP
//
//  Created by Merlyn on 3/26/16.
//  Copyright © 2016 The App Lady. All rights reserved.
//

import UIKit
import AVKit
import AVFoundation

class ProductViewController: UIViewController {
    @IBOutlet weak var headerLabel: UILabel!
    @IBOutlet weak var tableView: UITableView!
    
    var buyNowButton = UIButton()
    var moviePlayer: AVPlayerViewController!
    var product: String!
    var productsArray = [String]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func restoreButtonTapped(sender: UIButton) {
        showAlertView("Restore button tapped")
        
    }
    
    // MARK: - tableView dataSource methods
    
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // Return the number of elements/objects that are in the tableView's dat source array
        return productsArray.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("cell", forIndexPath: indexPath)
        product = productsArray[indexPath.row]
        
        // Configure the cell and return it
        cell.textLabel!.text = " "
        cell.detailTextLabel!.text = " "
        
        
        
        return cell
    }
    
    // MARK: - Segues
    
    // Only transition if a product is purchased
    override func shouldPerformSegueWithIdentifier(identifier: String, sender: AnyObject?) -> Bool {
        return true
    }
    
    // Load the video in the AVPlayerViewController and play it
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if segue.identifier == "showVideoPlayer" {
            if let indexPath = self.tableView.indexPathForSelectedRow {
                let destination = segue.destinationViewController as! AVPlayerViewController
                var url = NSURL(string: "http://theapplady.net/wp-content/uploads/2016/03/old-film-count-down.mp4")!
                
                // Set the url variable with an appropriate video url
                if indexPath.row == 0 {
                    url = NSURL(string: "http://theapplady.net/wp-content/uploads/2016/03/adele-hello.mp4")!
                    
                } else if indexPath.row == 1 {
                    url = NSURL(string: "http://theapplady.net/wp-content/uploads/2014/12/Gnarls-Barkley-Crazy.mp4")!
                    
                } else if indexPath.row == 2 {
                    url = NSURL(string: "http://theapplady.net/wp-content/uploads/2016/03/taylor-swift-shake-it-off.mp4")!
                    
                } else if indexPath.row == 3 {
                    url = NSURL(string: "http://theapplady.net/wp-content/uploads/2016/03/adele-skyfall.mp4")!
                }
                
                // Initialize the AVPlayerViewController and play the video
                destination.player = AVPlayer(URL: url)
                destination.player?.play()
            }
        }
    }
    
    func showAlertView(alertMsg: String) {
        let alertController = UIAlertController(title: "Nifty In-App Purchase", message: alertMsg, preferredStyle: .Alert)
        let okAction = UIAlertAction(title: "OK", style: .Default, handler: nil)
        alertController.addAction(okAction)
        presentViewController(alertController, animated: true, completion: nil)
    }
}
